org.omg.DynamicAny

## Class NameValuePairHelper

- java.lang.Object
- - org.omg.DynamicAny.NameValuePairHelper

-     public abstract class NameValuePairHelper
      extends Object

  org/omg/DynamicAny/NameValuePairHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/DynamicAny/DynamicAny.idl Friday, August 11, 2017 8:39:17 PM BST

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameValuePairHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NameValuePair` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, NameValuePair that)`
    `static NameValuePair` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static void` | `write(OutputStream ostream, NameValuePair value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameValuePairHelper

          public NameValuePairHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                    NameValuePair that)

    - #### extract

          public static NameValuePair extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static NameValuePair read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                   NameValuePair value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.